Bug 474737 - Review Request: irclog2html - Script to convert IRC logs to HTML and other formats
Review Request: irclog2html - Script to convert IRC logs to HTML and other fo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 22:56 EST by Ian Weller
Modified: 2014-09-11 15:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 06:33:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
matt_domsch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-12-04 22:56:44 EST
Spec URL: http://ianweller.fedorapeople.org/SRPMS/irclog2html/2.7-1.svn67/irclog2html.spec
SRPM URL: Script to convert IRC logs to HTML and other formats

Description:
irclog2html is a nice IRC log parser and colorizer that will do the most common
things necessary to make an IRC log readable in a web browser. It can export to
many different HTML formats, and can export MediaWiki pipe-table syntax.
Comment 1 Ian Weller 2008-12-04 22:57:55 EST
oooooooooooooops.

Actual SRPM URL: http://ianweller.fedorapeople.org/SRPMS/irclog2html/2.7-1.svn67/irclog2html-2.7-1.svn67.fc9.src.rpm
Comment 2 Matt Domsch 2008-12-04 23:43:14 EST
Easy review, as this is a small package with a clean script.

BuildRoot line could be one of the more preferred items, but matters little with newer rpm 4.6.  Also s/CVS/SCM/ in the comments.  Both are trivial and can be fixed on CVS import.

naming: ok
legal: ok
tags: ok
rpmlint: no warnings or errors

Comment in spec about license, site points to latest copy of GPL, so presumably they mean to do so.  Therefore v3+ is appropriate.

nothing else special about the package.  clean file list, permissions.  Byte-compiled python stuff is just for testing, and is in %{_datadir}.


APPROVED.
Comment 3 Ian Weller 2008-12-04 23:48:59 EST
thanks.

New Package CVS Request
=======================
Package Name: irclog2html
Short Description: Script to convert IRC logs to HTML and other formats
Owners: ianweller
Branches: F-9 F-10 EL-5
InitialCC: (none)
Comment 4 Kevin Fenzi 2008-12-05 00:12:41 EST
cvs done.
Comment 5 Fedora Update System 2008-12-07 22:57:04 EST
irclog2html-2.7-2.svn67.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/irclog2html-2.7-2.svn67.fc9
Comment 6 Fedora Update System 2008-12-07 22:57:07 EST
irclog2html-2.7-2.svn67.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/irclog2html-2.7-2.svn67.fc10
Comment 7 Fedora Update System 2008-12-09 06:33:37 EST
irclog2html-2.7-2.svn67.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-09 06:38:35 EST
irclog2html-2.7-2.svn67.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fabian Affolter 2014-09-11 15:03:53 EDT
Package Change Request
======================
Package Name: irclog2html
New Branches: epel7
Owners: fab 
InitialCC:
Comment 10 Gwyn Ciesla 2014-09-11 15:30:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.